itpp::Selective_Repeat_ARQ_Sender Class Reference
Protocols Module

`#include <itpp/protocol/selective_repeat.h>`

## Public Member Functions

| Selective_Repeat_ARQ_Sender ()
| ADD DOCUMENTATION HERE.
| Selective_Repeat_ARQ_Sender (const int Seq_no_size, const int Buffer_size_factor, const int Link_packet_size, const Ttype Time_out)
| ADD DOCUMENTATION HERE.
| ~Selective_Repeat_ARQ_Sender ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const int Seq_no_size, const int Buffer_size_factor, const int Link_packet_size, const Ttype Time_out)
| ADD DOCUMENTATION HERE.
int | buffer_size ()
| ADD DOCUMENTATION HERE.
int | link_packets_buffered ()
| ADD DOCUMENTATION HERE.
int | nof_ready_link_packets ()
| ADD DOCUMENTATION HERE.
int | link_packets_queued_waiting_for_transmission ()
| ADD DOCUMENTATION HERE.
Ttype | link_packets_max_queuing_time ()
| ADD DOCUMENTATION HERE.
void | get_link_packets (const int K, Array< Packet * > &pa)
| ADD DOCUMENTATION HERE.

## Public Attributes

Slot < Selective_Repeat_ARQ_Sender, Packet * > | packet_input
| Receives incoming packets.
Slot < Selective_Repeat_ARQ_Sender, Array< Packet * > > | ack_input
| Receives incoming ack/nacks.
Slot < Selective_Repeat_ARQ_Sender, void * > | query_nof_ready_packets
| Receives incoming query for number of packets ready to transmit.
Slot < Selective_Repeat_ARQ_Sender, int > | packet_output_request
| Receives incoming packet output requests.
Signal< Array< Packet * > > | packet_output
| Delivers transmitted packets.
Signal< int > | nof_ready_packets
| Delivers no ready packets.
Signal< int > | buffer_overflow
| Signals buffer overflows.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 57 of file selective_repeat.h.

The documentation for this class was generated from the following file:

- itpp/protocol/selective_repeat.h

Generated on Thu Mar 20 2014 12:26:47 for IT++ by Doxygen 1.8.6